<%@ page import="java.util.List,
                 com.lowagie.test.functional.FunctionalTestSuite,
                 java.util.Iterator,
                 com.lowagie.test.functional.TestRunner"%><html>
    <head>
    <script>
        function copytext()
        {
            alert(top.frames("results").document.body.outerHTML);
        }
    </script>
    <%
        boolean isIE = (request.getHeader("User-Agent").indexOf("MSIE") >= 0);
        String pdfPage = isIE ? "pdf.jsp" : "itest_runner.jsp";
    %>
    </head>
    <body>
    <!-- <button onclick="copytext()">test</button> -->
    <div style="font-size:larger; font-weight:bold">Select a test or suite to run:</div><br />
    <%
        TestRunner runner = new TestRunner();
        List packageNameList = runner.getSuitePackageNames();
    %>
    <%
        for (Iterator it = packageNameList.iterator(); it.hasNext();) {
            String packageName = (String) it.next();
     %>
            <div style="font-weight:bold"><%= packageName%></div>
     <%
            List suiteList = runner.getTestSuites(packageName);
            for (Iterator suiteIt = suiteList.iterator(); suiteIt.hasNext();) {
                FunctionalTestSuite suite = (FunctionalTestSuite)suiteIt.next();
                String qualName = suite.getClass().getName();
                %>
                   <div style="padding-left:30px;"><a target="results" href="<%= pdfPage %>?suite=<%= qualName %>"><%= suite.getName() %></a></div>
                <%
                List testList = suite.getTestNames();
                for (Iterator testIt = testList.iterator(); testIt.hasNext();) {
                    String testName = (String) testIt.next();
                %>
                   <div style="padding-left:50px; font-style:italic;">
                        <% /* %><a target="results" href="<%= pdfPage %>?suite=<%= qualName %>&test=<%=testName%>&xml=true">XML</a>&nbsp; <% */%>
                        <a target="results" href="<%= pdfPage %>?suite=<%= qualName %>&test=<%=testName%>"><%= testName %></a>
                   </div>
                <%
                }
            }
        }
    %>
    </body>
</html>